#include <stdio.h>


int main()
{
	int t,a,b,i;
	int check(int a,int d)
	{
		int br=1;
		int k;
		if (a%d==0)
		{
			while (a%d==0)
			{
				k=d*br;
				a=a/d;
				br=br*d;
				int pr=a^k;	
				if (pr==b)
				{
					printf("%d %d\n",k,a);
					break;
				}	 		
			}	
				int pr=a^k;
				if (pr!=b) printf("-1");		 
		}
	}
	
	scanf("%d",&t);
	
	for(i=0;i<t;i++)
	{
		scanf("%d%d",&a,&b);
		int n=3;
		while ((a%n)!=0)
		{
			n=n+2;	
		}
		check(a,n);		
	}
		
	return 0;
}